-- This script creates Long Running Execution Environment tables on a db2 instance.
-- The default name of the database is LREE, default schema name is
-- LREESCHEMA and default tablespace is USERSPACE1. All these defaults
-- can be replaced with different names if needed.
-- The following command can be issued from DB2 command line processor
-- to run this script:
--             db2 -tf CreateLREETablesDB2.ddl
--



CONNECT TO PGC;




CREATE SCHEMA PGCSCHEMA;


------------------------------------------------

-- DDL Statements for table "PGCSCHEMA"."JOBSTATUS"

------------------------------------------------

 

 CREATE TABLE "PGCSCHEMA"."JOBSTATUS"  (

		  "BJEENAME" VARCHAR(250) NOT NULL , 

		  "JOBID" VARCHAR(250) NOT NULL , 

		  "STATUS" INTEGER NOT NULL , 

		  "CURRENTSTEP" VARCHAR(250) , 

		  "RC" INTEGER NOT NULL , 
		  
		  "SUSPENDEDUNTIL" VARCHAR(250) ,

		  "LASTUPDATE" VARCHAR(250) , 
		  
		  "UPDATECOUNT" INTEGER NOT NULL)   

		 IN "USERSPACE1" ; 



-- DDL Statements for primary key on Table "PGCSCHEMA"."JOBSTATUS"



ALTER TABLE "PGCSCHEMA"."JOBSTATUS" 

	ADD CONSTRAINT "PK_JOBSTATUS" PRIMARY KEY

		("BJEENAME","JOBID");


------------------------------------------------

-- DDL Statements for table "PGCSCHEMA"."CHECKPOINTREPOSITORY"

------------------------------------------------


-- Maximum length of RESTARTTOKEN (in bytes) : 2970
-- source: http://publib.boulder.ibm.com/infocenter/db2luw/v8/index.jsp
 

 CREATE TABLE "PGCSCHEMA"."CHECKPOINTREPOSITORY"  (

		  "JOBID" VARCHAR(250) NOT NULL , 

		  "STEPNAME" VARCHAR(250) NOT NULL , 

		  "BATCHDATASTREAMNAME" VARCHAR(250) NOT NULL , 

		  "RESTARTTOKEN" VARCHAR(2970) )   

		 IN "USERSPACE1" ; 



-- DDL Statements for primary key on Table "LREESCHEMA"."CHECKPOINTREPOSITORY"



ALTER TABLE "PGCSCHEMA"."CHECKPOINTREPOSITORY" 

	ADD CONSTRAINT "PK_CHECKPOINTREPO2" PRIMARY KEY

		("JOBID", "STEPNAME" ,

		 "BATCHDATASTREAMNAME");






------------------------------------------------

-- DDL Statements for table "PGCSCHEMA"."JOBSTEPSTATUS"

------------------------------------------------

 

 CREATE TABLE "PGCSCHEMA"."JOBSTEPSTATUS"  (

		  "JOBID" VARCHAR(250) NOT NULL , 

		  "STEPNAME" VARCHAR(250) NOT NULL , 

		  "RC" INTEGER NOT NULL , 

		  "STEPSTATUS" INTEGER NOT NULL )   

		 IN "USERSPACE1" ; 



-- DDL Statements for primary key on Table "PGCSCHEMA"."JOBSTEPSTATUS"



ALTER TABLE "PGCSCHEMA"."JOBSTEPSTATUS" 

	ADD CONSTRAINT "PK_JOBSTEPSTATUS" PRIMARY KEY

		("JOBID",

		 "STEPNAME");









COMMIT WORK;



CONNECT RESET;



TERMINATE;

