-- Scriptfile to create a Derby database for the PGC. This script
-- can be modified if needed to change the name of database or name of the Schema used. Default
-- database name is PGC and default schema name is PGCSCHEMA
-- The script will produce the IVTDB Derby database in the directory 
-- from which it is invoked.
-- Process This script in the ij command line processor.  
-- Example  
--    java -Djava.ext.dirs=C:/WebSPhere/AppServer/derby/lib -Dij.protocol=jdbc:derby: org.apache.derby.tools.ij CreatePGCTablesDerby.ddl


CONNECT 'jdbc:derby:PGC;create=true';


DROP TABLE "PGCSCHEMA"."JOBSTATUS";

 CREATE TABLE "PGCSCHEMA"."JOBSTATUS"  (

		  "BJEENAME" VARCHAR(250) NOT NULL , 

		  "JOBID" VARCHAR(250) NOT NULL , 

		  "STATUS" INTEGER NOT NULL , 

		  "CURRENTSTEP" VARCHAR(250) , 

		  "RC" INTEGER NOT NULL , 
		  
		  "SUSPENDEDUNTIL" VARCHAR(250) ,

		  "LASTUPDATE" VARCHAR(250) , 
		  
		  "UPDATECOUNT" INTEGER NOT NULL)   

		  ; 



-- DDL Statements for primary key on Table "PGCSCHEMA"."JOBSTATUS"



ALTER TABLE "PGCSCHEMA"."JOBSTATUS" 

	ADD CONSTRAINT "PK_JOBSTATUS" PRIMARY KEY

		("BJEENAME","JOBID");


------------------------------------------------

-- DDL Statements for table "PGCSCHEMA"."CHECKPOINTREPOSITORY"

------------------------------------------------

DROP TABLE "PGCSCHEMA"."CHECKPOINTREPOSITORY";



 CREATE TABLE "PGCSCHEMA"."CHECKPOINTREPOSITORY"  (

		  "JOBID" VARCHAR(250) NOT NULL , 

		  "STEPNAME" VARCHAR(250) NOT NULL , 

		  "BATCHDATASTREAMNAME" VARCHAR(250) NOT NULL , 

		  "RESTARTTOKEN" VARCHAR(2970) )   

		  ; 



-- DDL Statements for primary key on Table "LREESCHEMA"."CHECKPOINTREPOSITORY"



ALTER TABLE "PGCSCHEMA"."CHECKPOINTREPOSITORY" 

	ADD CONSTRAINT "PK_CHECKPOINTREPO2" PRIMARY KEY

		("JOBID", "STEPNAME" ,

		 "BATCHDATASTREAMNAME");






------------------------------------------------

-- DDL Statements for table "PGCSCHEMA"."JOBSTEPSTATUS"

------------------------------------------------

 DROP TABLE "PGCSCHEMA"."JOBSTEPSTATUS";


 CREATE TABLE "PGCSCHEMA"."JOBSTEPSTATUS"  (

		  "JOBID" VARCHAR(250) NOT NULL , 

		  "STEPNAME" VARCHAR(250) NOT NULL , 

		  "RC" INTEGER NOT NULL , 

		  "STEPSTATUS" INTEGER NOT NULL )   

		 ; 



-- DDL Statements for primary key on Table "PGCSCHEMA"."JOBSTEPSTATUS"



ALTER TABLE "PGCSCHEMA"."JOBSTEPSTATUS" 

	ADD CONSTRAINT "PK_JOBSTEPSTATUS" PRIMARY KEY

		("JOBID",

		 "STEPNAME");




                 
COMMIT WORK;


DISCONNECT;

