-- This script creates batch Postings sample tables on an oracle db.
--
-- 1. Process this script using SQL*Plus
-- 2. Replace all occurrances of @PGC_TABLESPACE@ with a valid tablespace that was 
--    created by the CreatePGCTableSpaceOracle.ddl script.
-- Example: 
--  o  sqlplus username/password@IVTDB @CreatePGCTablesOracle.ddl
--  o  or, at the sqlplus prompt, enter
--     SQL> @CreatePGCTablesOracle.ddl


------------------------------------------------

-- DDL Statements for table "JOBSTATUS"

------------------------------------------------

 

CREATE TABLE "JOBSTATUS"  (
		  "BJEENAME" VARCHAR(250) NOT NULL , 
		  "JOBID" VARCHAR(250) NOT NULL , 
		  "STATUS" INTEGER NOT NULL , 
		  "CURRENTSTEP" VARCHAR(250) , 
		  "RC" INTEGER NOT NULL , 
		   "SUSPENDEDUNTIL" VARCHAR(250) ,
		   "LASTUPDATE" VARCHAR(250),
		  "UPDATECOUNT" INTEGER NOT NULL)   
		 TABLESPACE @PGC_TABLESPACE@ ; 



-- DDL Statements for primary key on Table "JOBSTATUS"



ALTER TABLE "JOBSTATUS" 
	ADD CONSTRAINT "PK_JOBSTATUS" PRIMARY KEY
		("BJEENAME",
		 "JOBID");



------------------------------------------------

-- DDL Statements for table "CHECKPOINTREPOSITORY"

------------------------------------------------

 

 CREATE TABLE "CHECKPOINTREPOSITORY"  (
		  "JOBID" VARCHAR(250) NOT NULL , 
		  "STEPNAME" VARCHAR(250) NOT NULL , 
		  "BATCHDATASTREAMNAME" VARCHAR(250) NOT NULL , 
		  "RESTARTTOKEN" VARCHAR(2970) )   
		 TABLESPACE @PGC_TABLESPACE@ ; 



-- DDL Statements for primary key on Table "CHECKPOINTREPOSITORY"



ALTER TABLE "CHECKPOINTREPOSITORY" 
	ADD CONSTRAINT "PK_CHECKPOINTREPO2" PRIMARY KEY
		("JOBID", "STEPNAME",
		 "BATCHDATASTREAMNAME");

------------------------------------------------

-- DDL Statements for table "JOBSTEPSTATUS"

------------------------------------------------



CREATE TABLE "JOBSTEPSTATUS"  (

		  "JOBID" VARCHAR(250) NOT NULL , 

		  "STEPNAME" VARCHAR(250) NOT NULL , 

		  "RC" INTEGER NOT NULL , 

		  "STEPSTATUS" INTEGER NOT NULL )   

		 TABLESPACE @PGC_TABLESPACE@; 





-- DDL Statements for primary key on Table "JOBSTEPSTATUS"



ALTER TABLE "JOBSTEPSTATUS" 

	ADD CONSTRAINT "PK_JOBSTEPSTATUS" PRIMARY KEY

		("JOBID",

		 "STEPNAME");




