@rem *************************************************************************
@rem This script is used to predeploy the PortableGridContainer EJBs. Before 
@rem running this script ensure all the PGC jars have been copied to the user lib (USER_LIB) directory
@rem  eg C:\Oracle\Middleware\wlserver_10.3\samples\domains\wl_server\lib
@rem 
@rem This script requires the following variables to be set before invocation:
@rem
@rem WL_HOME    - The root directory of your WebLogic installation
@rem              eg C:\Oracle\Middleware\wlserver_10.3
@rem USER_LIB  - Location of the directory where the PGC jars have been copied to 
@rem             eg C:\Oracle\Middleware\wlserver_10.3\samples\domains\wl_server\lib		
@rem JAVA_HOME - Location of a Java installation

@rem *************************************************************************

@echo off
SETLOCAL

if "%WL_HOME%"=="" (
   echo "WL_HOME not set eg C:\Oracle\Middleware\wlserver_10.3"
   exit /B 1
)

if "%USER_LIB%"=="" (
   echo "USER_LIB not set eg C:\Oracle\Middleware\wlserver_10.3\samples\domains\wl_server\lib"
   exit /B 1
)

if "%JAVA_HOME%"=="" (
   echo "JAVA_HOME not set" 
   exit /B 1
)


call "%WL_HOME%\server\bin\setWLSEnv.cmd"

set CLASSPATH=%USER_LIB%\pgccommon.jar;%USER_LIB%\batchframework-noprecompile.jar;%USER_LIB%\batchruntime-pgc-common.jar;%CLASSPATH%

call %JAVA_HOME%\bin\java weblogic.appc %USER_LIB%\pgcruntime.jar