# *************************************************************************
# This script is used to predeploy the PortableGridContainer EJBs. Before 
# running this script ensure all the PGC jars have been copied to the user lib (USER_LIB) directory
#  eg /root/bea/wlserver_10.3/samples/domains/wl_server/lib
# 
# The following variables should be set before invocation:
#
# WL_HOME    - The root directory of your WebLogic installation
#              eg /root/bea/wlserver_10.3/
# USER_LIB  - Location of the directory where the PGC jars have been copied to 
#             eg /root/bea/wlserver_10.3/samples/domains/wl_server/lib		
# JAVA_HOME - Location of a Java installation
# *************************************************************************



# Check for JDK
if [ ! -d "${JAVA_HOME}/bin" ]; then
  echo "The JDK wasn't found in directory ${JAVA_HOME}."
  echo "Please set JAVA_HOME to a valid location"
  exit 1
fi 

if [ -z "$WL_HOME" ]; then
    echo "Need to set WL_HOME eg /root/bea/wlserver_10.3"
    exit 1
fi  

if [ -z "$USER_LIB" ]; then
    echo "Need to set USER_LIB eg /root/bea/wlserver_10.3/samples/domains/wl_server/lib"
    exit 1
fi  


. "${WL_HOME}/server/bin/setWLSEnv.sh"

export CLASSPATH=${USER_LIB}/pgccommon.jar:${USER_LIB}/batchframework-noprecompile.jar:${USER_LIB}/batchruntime-pgc-common.jar:${CLASSPATH}

${JAVA_HOME}/bin/java weblogic.appc ${USER_LIB}/pgcruntime.jar