//EEXREREG JOB <job parameters>                                                 
//*********************************************************************         
//* Licensed Material - Property of IBM                               *         
//* 5655-P28 (C) Copyright IBM Corp. 2009                             *         
//*                                                                   *         
//* All Rights Reserved.                                              *         
//*                                                                   *         
//* U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or  *         
//* Disclosure restricted by GSA-ADP schedule contract with IBM Corp. *         
//*                                                                   *         
//* Status = HEEX611                                                  *         
//* _________________________________________________________________ *         
//*                                                                   *         
//*  DO NOT run this job unless you previously purchased WebSphere    *         
//*  Virtual Enterprise or WebSphere Compute Grid as individual       *         
//*  products under program number 5455-S33 and now have purchased    *         
//*  the WebSphere Extended Deployment suite you need to change your  *         
//*  registration FMID without resinstalling the product.             *         
//*                                                                   *         
//*  In order to replace the 5655-S33 registration FMID with the      *         
//*  5655-P28 registration FMID you will need to delete the old FMID  *         
//*  using this job and RECEIVE-APPLY-ACCEPT the new one using        *         
//*  supplied samples: EEXREGRR,  EEXAPPLY and EEXACCEP.              *         
//*                                                                   *         
//*  This JCL will perform an SMP/E dummy delete to clean your CSI    *         
//*  of the 5655-S33 registration FMID (JEJE133) so you can install   *         
//*  the registration FMID which refelcts your purchase of 5655-P28   *         
//*  (JEJE128).  Refer to the SMP/E Reference for more information    *         
//*  on "dummy delete".                                               *         
//*                                                                   *         
//*  CAUTION: THIS IS NEITHER A JCL PROCEDURE NOR A COMPLETE JOB.     *         
//*  BEFORE USING THIS JOB STEP, YOU WILL HAVE TO MAKE THE FOLLOWING  *         
//*  MODIFICATIONS:                                                   *         
//*                                                                   *         
//*  1) Change the JOB CARD to meet your system requirements          *         
//*                                                                   *         
//*  2) Replace '#globalcsi' on the SMPCSI statement with your        *         
//*     CSI name                                                      *         
//*                                                                   *         
//*  3) Change #tzone to the name of your target zone                 *         
//*                                                                   *         
//*  4) Change #dzone to the name of your distribution zone           *         
//*                                                                   *         
//*  EXPECTED RETURN CODES AND MESSAGES: 0, no messages               *         
//*                                                                   *         
//*********************************************************************         
//STEP1   EXEC PGM=GIMSMP,REGION=0M,TIME=NOLIMIT                                
//SMPCSI  DD DSN=#globalcsi,DISP=SHR                                            
//SMPHOLD DD *                                                                  
/*                                                                              
//SMPPTFIN DD *                                                                 
++FUNCTION(DELFUNC).                                                            
++VER(Z038)                                                                     
      DELETE(JEJE133).                                                          
/*                                                                              
//SMPCNTL DD *                                                                  
  SET BOUNDARY(GLOBAL) .                                                        
    RECEIVE SELECT (DELFUNC) .                                                  
  SET BOUNDARY(#tzone) .                                                        
    APPLY SELECT (DELFUNC) .                                                    
  SET BOUNDARY(#dzone) .                                                        
    ACCEPT SELECT (DELFUNC) .                                                   
  SET BOUNDARY(#tzone) .                                                        
    UCLIN .                                                                     
      DEL SYSMOD(DELFUNC) .                                                     
      DEL SYSMOD(JEJE133) .                                                      
    ENDUCL .                                                                    
  SET BOUNDARY(#dzone) .                                                        
    UCLIN .                                                                     
      DEL SYSMOD(DELFUNC) .                                                     
      DEL SYSMOD(JEJE133) .                                                     
    ENDUCL .                                                                    
  SET BOUNDARY(GLOBAL) .                                                        
    REJECT HOLDDATA NOFMID                                                      
      DELETEFMID                                                                
        (DELFUNC, JEJE133).                                                     
/*                                                                              
//                                                                              
