#!/bin/sh
#
# ================================================================
# Licensed Material - Property of IBM
# 5655-P28 Copyright IBM Corp. 2006, 2009
#
# All Rights Reserved.
#
# U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or
# Disclosure restricted by GSA-ADP schedule contract with IBM Corp.
#
#                                                  
# ================================================================
#
# This script will remove the links and files  XD 6105 to XD 6110
# usage: <name>.sh <install hfs location> <configuration hfs location
#
 
if [ -z $1 ]
then
   echo "Usage Syntax: ${0} <install hfs location> <(Writable) configuration hfs location> <userid> <password>"   
   exit 0
fi
 
if [ -z $2 ]
then
   echo "Usage Syntax: ${0} <install hfs location> <(Writable) configuration hfs location> <userid> <password>"   
   exit 0
fi
 

InstallRoot=$1
ConfigRoot=$2

echo "InstallRoot = $InstallRoot"
echo "ConfigRoot = $ConfigRoot" 

if [ ! -d $InstallRoot ]
then
   echo "$InstallRoot is not a valid directory"
   echo "Usage Syntax: ${0} <install hfs location> <(Writable) configuration hfs location>"
   exit 0
fi

if [ ! -d $ConfigRoot ]
then
   echo "$ConfigRoot is not a valid directory"
   echo "Usage Syntax: ${0} <install hfs location> <(Writable) configuration hfs location>"
   exit 0
fi

if [ ! -w $ConfigRoot ]
then
   echo "$ConfigRoot must be writable"
   echo "Usage Syntax: ${0} <install hfs location> <(Writable) configuration hfs location>"
   exit 0
fi


if [ ! -e $ConfigRoot/profiles/default/bin/setupCmdLine.sh ]
then
   echo "The Configuration HFS location specified is invalid. $ConfigRoot/profiles/default/bin/setupCmdLine.sh does not exist!"
   exit 8
fi

. $ConfigRoot/profiles/default/bin/setupCmdLine.sh


if [ ! -e $ConfigRoot/properties/WXDDG ]
then 
  echo "Running the unlinkXD610DGzOSImage.sh  installedHFS ConfigHFS"
        $InstallRoot/profileTemplates/xd_augment/actions/unlinkXD610DGzOSImage.sh  $InstallRoot $ConfigRoot
        rc=$?
	  if [ rc -ne 0 ]
        then
                echo "unlinkXD610DGzOSImage.sh has failed!"
        fi

  echo "Remove the Object Grid directories"
 
        $ConfigRoot/bin/ws_ant.sh  -file $InstallRoot/profileTemplates/xd_augment/actions/removeOGDir.ant -DWAS_HOME=$ConfigRoot
        rc=$?
	  if [ rc -ne 0 ]
        then
                echo "removeOGDir.ant has failed!"
        fi

       if [ $CONFIG_TYPE = DMGR ]
       then
          echo "Configuring the Deployment Manager"
               
       else
          echo "Configuring the AppServer Node"
           if [ -z $3 ]
           then
              $ConfigRoot/profiles/default/bin/eexsync.sh $ConfigRoot
           else 
              $ConfigRoot/profiles/default/bin/eexsync.sh $ConfigRoot $3 $4
           fi
           rc=$?
           if [ rc -ne 0 ]
           then
                echo "eexsync.sh has failed!"
           fi
       fi

else
  echo "DG was not installed"
fi



 
exit 0 
