#------------------------------------------------------------------------------
# add WebSphere Variable
#------------------------------------------------------------------------------
def createCellVariable(varName, varValue, varDesc):
	# check if something of the same name already exists
	varEntries_str = AdminConfig.showAttribute(getCellVariables(),"entries")
	if (len(varEntries_str) > 2):
	   varEntries_str =  varEntries_str[1:len(varEntries_str)-1] 
	   varEntries = varEntries_str.split(" ")
	   for var in varEntries:
	      name = AdminConfig.showAttribute(var,"symbolicName")
	      if(name == varName):
		   print "Variable "+varName+" already exists, skipping creation."
		   return
        AdminConfig.create("VariableSubstitutionEntry",getCellVariables(),[["symbolicName",varName],["value",varValue],["description",varDesc]])
	print "Variable "+varName+" created."
	return 
	
def getCellVariables():
	cellName = getCellName()
	varMap = AdminConfig.getid('/Cell:'+cellName+'/VariableMap:/')
	return varMap

def getCellName():
	cell = AdminConfig.getid('/Cell:/')
	name = AdminConfig.showAttribute(cell,"name")
	return name

def printHelp():
  print """

  Show help:
      >> wsadmin -lang jython -f addGEEVariable.py --help
      
  Adds the database backend ID property for use by GEE :
      >> wsadmin -lang jython -f addGEEVariable.py 

  You may have to modify wsadmin to wsadmin.sh or wsadmin.bat, depending upon your operating environment.
  
  """

#=======================================================================================================================================================
#
# Main execution logic:
#
#=======================================================================================================================================================

if len(sys.argv) > 0:
    option = sys.argv[0]
    if option == "--help":
        printHelp()
    else:
        print "Invalid option specified."  
else:
    createCellVariable("GRID_ENDPOINT_BACKENDID","DERBY_V100_2","Grid Endpoint Backend ID")    
    print "saving workspace.."
    AdminConfig.save()
